@import "libs/shared/assets/src/global-style/variable";

.search-container {
    background: $bg-modal-header-title;
    padding: 22px 0px 22px 0px;
    border-radius: 8px;
    &__row {
        display: flex;
        align-items: flex-end;
        &--col {
            padding-left: 24px;
        }

        &--col-text {
            padding: 0px 0px 8px 24px;
        }

        &--col-button {
            padding-left: 8px;
        }
    }

    &__label {
        margin-bottom: 12px;
    }

    ::ng-deep {
        .input__label {
            color: $bg-gray-body !important;
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 20px;
        }
        .ant-select-selector {
            border-radius: 10px !important;
            height: 40px !important;
            display: flex;
            align-items: center;
        }
        .ant-input {
            border-radius: 10px !important;
            height: 40px !important;
        }
        .ant-select-item,
        .ant-select-item-empty {
            display: block;
            min-height: 32px;
            padding: 5px 12px;
            font-size: 14px;
            line-height: 22px;
            position: relative;
            font-weight: 400;
        }
    }
}

.table-container {
    margin-top: 24px;
    ::ng-deep {
        .input__group--no-label {
            min-height: 0px !important;
        }
        .ant-input {
            height: 40px !important;
        }
    }
    .ant-table-tbody > tr > td {
        padding: 8px;
    }
}
.position-relative {
    position: relative;
}
.icon-style {
    border-radius: 50%;
    position: absolute;
    right: 0.5rem;
    top: 2.6rem;
    color: $bg-content-default;
    font-size: 12px;
    background: $bg-gray-rgb;
    cursor: pointer;
}
